This release includes SilverStripe 4.3.1, which contains a critical security fix for CVE-2019-5715 (SS-2018-021). See the related blog post for details.

Change Log

Security

  • 2018-12-18 c0338d191 Fix potential SQL vulnerability in non-scalar value hyrdation (Maxime Rainville) - See ss-2018-021

Bugfixes

  • 2019-01-29 5d74bab Fix missing right click image edit options (Will Rossiter)
  • 2018-09-05 3f9f7c6 Use correct Email namespace in cwpadmin email configuration (Robbie Averill)

Other changes

  • 2019-01-14 755ec6d Add default configuration endpoint for silverstripe/ckan-registry, if installed (Robbie Averill)
  • 2019-01-11 6054abb Add PHP 7.3 to Travis builds (Robbie Averill)
  • 2018-12-12 50aa85e Update path to global composer bin in Travis builds (Robbie Averill)
  • 2018-12-12 581b3cd Bump postgresql version in Travis (Robbie Averill)
  • 2018-12-12 5f63ef7 Add CWP 2.2.0 to changelog index, mark CWP 2.1.x as EOL from 12/06/2020 (Robbie Averill)
  • 2018-11-07 7878059 Update path to global composer bin (Robbie Averill)
  • 2018-11-07 aebbb6e Update path to global composer bin (Robbie Averill)
  • 2018-09-18 dcd6394 Revert "FIX Add proxy configuration for embedded cURL requests" (Robbie Averill)

Was this article helpful?